jQuery.noConflict();

(function ($, PLUGIN_ID) {
  "use strict";
//前回設定値取得
  let config = kintone.plugin.app.getConfig(PLUGIN_ID); 
  console.log(config);

  if(config["amount"]) document.getElementById('number').value = config["amount"];
  if(config["size"]) document.getElementById('number2').value = config["size"];
  
  let $cancelButton = $("#cancel");

  //ステータス取得
  let endpoint = kintone.api.url('/k/v1/app/status.json', true);
  let params = {
    app: kintone.app.getId()
  };

  kintone.api(endpoint, 'GET', params, function(resp) {
    console.log(resp);
    resp.actions.forEach(obj =>{
      let $option = $("<option>");
          $option.attr("value", obj.to);
          $option.text(obj.to);
          if (config["status"] === obj.to) $option.attr('selected', 'selected');
          const idName = "#afterday";
          $(idName).append($option); 
    });
  });
 
  //保存・キャンセルクリック時
  $(document).on("click", "#submit", (e) => {
    //フォームが持つデフォルトの動作とは、フォームの内容を指定したURLへ送信するでその動作をキャンセルする
    e.preventDefault();
    //空のテーブルを用意
    let config ={};
    //テーブル・日付（日時）情報をconfigに代入
    config = {
      "status":document.getElementById('afterday').value,
      "amount":document.getElementById('number').value,
      "size": document.getElementById('number2').value,
    }
    kintone.plugin.app.setConfig(config, function () {
      if(config["status"] == "" ){
        alert("ステータスが未設定です。設定してください")
      } else if (!/^\d+$/.test(config["amount"]) && config["amount"] !== "" ) {
        alert("花びらの量には半角数値を入力してください") 
      } else if (config["amount"] < 0 || config["amount"] > 100) {
        alert("花びらの量に適正数値を入力してください")
      } else if (!/^\d+$/.test(config["size"]) && config["size"] !== "") {
        alert("花びらの大きさには半角数値を入力してください")
      } else if (config["size"] < 0 || config["size"] > 30) {
        alert("花びらの大きさに適正数値を入力してください")
      } else {
        window.location.href = "../../" + kintone.app.getId() + "/plugin/";
      }
    });
  });
  $cancelButton.on("click", function () {
    window.location.href = "../../" + kintone.app.getId() + "/plugin/";
  });
})(jQuery, kintone.$PLUGIN_ID)
